petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUDAReplaceArray

Allows one to replace the GPU array in a vector with a GPU array provided by the user. This is useful to avoid copying a GPU array into a vector.

### Synopsis

    PetscErrorCode VecCUDAReplaceArray(Vec vin,PetscScalar *a)

Not Collective Many br

### Input Parameters

| vec | - the vector Many br
| array | - the GPU array Many br

### Notes

This permanently replaces the GPU array and frees the memory associated Many brwith the old GPU array. Many br

The memory passed in CANNOT be freed by the user. It will be freed Many brwhen the vector is destroyed. Many br

Not supported from Fortran Many br

Many br

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray(), VecCUDAResetArray(), VecCUDAPlaceArray(), VecReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages